Package networkx :: Module cores

[frames | no frames]

## Module networkx.cores

Find and manipulate the k-cores of a graph

Function Summary
| ``find_cores`(G, with_labels)` Return the core number for each vertex.

Variable Summary
`str` | `__author__` = `'Dan Schult(dschult@colgate.edu)'`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Ma...`
`str` | `__revision__` = `'$Revision: 911 $'`

Function Details

### find_cores(G, with_labels=True)

Return the core number for each vertex.

See: arXiv:cs.DS/0310049 by Batagelj and Zaversnik

If with_labels is True a dict is returned keyed by node to the core number. If with_labels is False a list of the core numbers is returned.

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Dan Schult(dschult@colgate.edu)'

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-03-30 16:56:28 -0700 (Wed, 30 Mar 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 911 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net